% function [X,d_X,mu_X] = genSphere(n,d,MetricType)
% n: is number of points
% d: is dimension, d=1 returns points on the unit circle S^1, etc
% MetricType: can be 'geodesic' or 'euclidean'
function [X,d_X,mu_X] = genSphere(n,d,MetricType)

X = randn(n,d+1);
nor = sqrt(sum(X.^2,2));
X = X./(nor*ones(1,d+1));
mu_X = ones(n,1)/n;

d_X = L2_distance(X',X');

switch MetricType
    case {'geodesic'}
        d_X = 2*acos(d_X/2);
    case {'euclidean'}
        %nothing to do
    otherwise
        disp('MetricType must be either geodesic or euclidean-- aborting')
        return
end
