%% create a 2-dim sphere with 2000 points and geodesic metric 
% [in all examples, the weights are uniform]

n = 2000
d = 2


[X,dX,muX] = genSphere(n,d,'geodesic');

% compute the diameter of (X,dX)
diam_infty = max(dX(:));

% normalize the distance matrix
dX = dX/diam_infty;

% display the sphere colored by it's x coordinate
scatter3(X(:,1),X(:,2),X(:,3),50,X(:,1),'filled')

% compute the 1-diameter of this mm-space:
diam_1 = muX'*dX*muX

%% create a 2-dim 'block' with 2000 points (and euclidean metric)
n = 2000
k = 2


[X,dX,muX] = genIk(n,k);

% compute the diameter of (X,dX)
diam_infty = max(dX(:))

% normalize the distance matrix
dX = dX/diam_infty;


% compute the 1-diameter of this mm-space:
diam_1 = muX'*dX*muX
